Bug 183988 - cs_CZ glyph substitution for monospace has strange letters in it
cs_CZ glyph substitution for monospace has strange letters in it
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 11:42 EST by Adam Pribyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: fontconfig-2.4.1-3.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-29 11:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
monospace FC5t3 (92.29 KB, image/png)
2006-03-04 11:42 EST, Adam Pribyl
no flags Details
monospace_FC4.png (28.07 KB, image/png)
2006-03-04 11:43 EST, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2006-03-04 11:42:22 EST
Description of problem:
Using monospace font (that is I assume really a bitstream vera sans mono) in
FC5t3 shows letters from either different type of font or the font includes
incorrect characters.

Version-Release number of selected component (if applicable):
bitstream-vera-fonts-1.10-5.1

How reproducible:
Always

Steps to Reproduce:
1. switch to e.g. Czech language locale (cs_CZ.utf8)
2. start gnome-terminal
3. choose Upravit/Profily/Default/Upravit/Pismo: Monospace
(similar you can find under gnome font settings starting gnome-font-properties)
  
Actual results:
See attached image

Expected results:
See attached image

Additional info:
The correct result is shown from FC4 install.
Comment 1 Adam Pribyl 2006-03-04 11:42:22 EST
Created attachment 125642 [details]
monospace FC5t3
Comment 2 Adam Pribyl 2006-03-04 11:43:55 EST
Created attachment 125643 [details]
monospace_FC4.png
Comment 3 Caolan McNamara 2006-03-04 12:23:45 EST
from the terminal what is the output of

> fc-match "Monospace"

?
Comment 4 Adam Pribyl 2006-03-05 02:48:57 EST
Then I do not understand it - this command says 
> fc-match "Monospace"
n022003l.pfb: "Nimbus Mono L" "Regular"

But when I check box in gnome-terminal to use system terminal font OR I choose
monospace OR choose Bitstream Vera Sans Mono font from menu then in all cases it
clearly shows the incorrect content of Bitstream font. (BTW: FC4 terminal uses
Luxi Mono as monospace, and bitstream vera sans mono also has similar (not same)
strange letters).

The font.conf defines:
<!-- 
  Monospace faces 
 -->
        <alias>
                <family>Bitstream Vera Sans Mono</family>
                <family>Courier</family>
                <family>Courier New</family>
                <family>Andale Mono</family>
                <family>Luxi Mono</family>
                <family>Nimbus Mono L</family>
                <family>NSimSun</family>
                <family>FreeMono</family>
                <default><family>monospace</family></default>
        </alias>
AND
                <family>monospace</family>
                <prefer>
                        <family>Luxi Mono</family>
                        <family>Bitstream Vera Sans Mono</family>
                        <family>Andale Mono</family>
                        <family>Cumberland AMT</family>
                        <family>Courier New</family>
etc.

So to sum it: Definitely Bitstream Vera Sans Mono has some troubles with
accented letters (missing and replaced from Nimbus Mono L?). It is used in gnome
as monospace font even though the fc-match says that monospace should be Nimbus
Mono L.

Comment 5 Adam Pribyl 2006-03-05 11:15:30 EST
I found this:
Installing xorg-x11-fonts-truetype that contains Luxi* family of fonts and
manualy (!) adding /usr/share/X11/fonts/TTF (adding complete
/usr/share/X11/fonts is not good idea - bitmap fonts are then used e.g. in
Firefox which is really ugly now) into local.conf results in fc-match monospace
saying "luximr.ttf: "Luxi Mono" "Regular".

During digging around I found all fonts from bitstream family have incorrect
letters (substituted from different font?). They are probably not utf8?!
Comment 6 Caolan McNamara 2006-03-05 14:28:41 EST
Well, looking at it myself in cs_CZ.UTF-8 locale with default configuration in
latest rawhide and everything looks ok.

The Bitstream Vera fonts and others haven't changed content, though your
screenshot does look like Bistream Vera Sans Mono with missing glyphs provided
from Nimbus Mono L, so glyph substitution looks a bit addled. If the problem
persists in current rawhide, it's likely a fontconfig issue
Comment 7 Adam Pribyl 2006-03-05 16:45:41 EST
I have latest FC5t3 devel packages. It is default desktop instalation with no
system changes (installed en_US, switched to cs_CZ). The only change I did was I
installed Luxi fonts and add them to font.conf (this I did after I found the
strange letters). The result is that letters in Bistream fonts are replaces by
those from Luxi fonts as these are now default Sans, Serif and Monospace.

I'd like to point that I found the same problem is present in FC4 (which is
install all installation).
Comment 8 Adam Pribyl 2007-01-29 11:40:13 EST
Waste of time reporting.. closing as outdated.

Note You need to log in before you can comment on or make changes to this bug.